VMTKNUMPYREADER(1)

NAME
vmtknumpyreader - vmtk script vmtknumpyreader

DESCRIPTION
Automatic piping vmtkNumpyReader Parsing options vmtkNumpyReader

vmtkNumpyReader : reads a pickled (or hdf5) file containing a nested

    dictionary of numpy arrays generated byvmtkcenterlinestonumpy, vmtkimagetonumpy, or vmtksurfacetonumpy from disk and stores theobject in memory into a standard dictionary of numpy arrays.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-f Format (str,1) in ['pickle', 'hdf5']: file format

-guessformat GuessFormat (bool,1); default=1: guess file format

    from extension

-ifile InputFileName (str,1): the input file name

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ArrayDict (dict,1): the output dictionary